//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI;
using CommunityServer.Blogs.Components;

namespace CommunityServer.Blogs.Controls
{
	/// <summary>
	/// Summary description for CurrentSearch.
	/// </summary>
	public class CurrentSearch : Control
	{
		public CurrentSearch()
		{
		}

		protected override void OnInit(EventArgs e)
		{
			base.OnInit (e);

			Weblog w = Weblogs.GetWeblog();
			if(w != null)
			{
				CommunityServer.Controls.TitleBar.AddSectionToSearch(w.SectionID,System.Web.HttpUtility.HtmlDecode(w.Name),Context);
			}
		}


		
	}
}
